Get Object Record
curl --request GET \
--url https://app.superleap.com/api/v1/org/objects/{object_slug}/record/{record_id} \
--header 'Authorization: <authorization>'import requests
url = "https://app.superleap.com/api/v1/org/objects/{object_slug}/record/{record_id}"
headers = {"Authorization": "<authorization>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<authorization>'}};
fetch('https://app.superleap.com/api/v1/org/objects/{object_slug}/record/{record_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Record Management APIs
Get Object Record
GET
/
api
/
v1
/
org
/
objects
/
{object_slug}
/
record
/
{record_id}
Get Object Record
Retrieve a specific record for a requested object. This API allows you to fetch detailed information about a single record by providing the object slug and record ID.
Headers
string
required
Bearer token for authentication, click here to generate one
Path Parameters
string
required
The slug identifier for the object type you want to retrieve (e.g., “lead”, “user”, “opportunity”, “communication”)
string
required
The unique identifier of the specific record you want to retrieve
Example
Request
curl --location 'https://app.superleap.dev/api/v1/org/objects/lead/record/g1koYv_n1JaKVho'
Response 200 OK
{
"success": true,
"data": {
"created_at": 1753886066772,
"created_by": "g1koYv_uLg11RFM",
"email": null,
"external_id": null,
"id": "g1koYv_n1JaKVho",
"multiselect_1": [
"op3"
],
"name": "test Update",
"owner": "g1koYv_uLg11RFM",
"phone": "+91-8129987917",
"phone_no": null,
"search_field": "test Update",
"updated_at": 1753949124533,
"updated_by": "g1koYv_BkJ851eS"
}
}
Request for Failure Scenario
The Failure Scenario where the phone number is invalid:curl --location --request PUT 'https://app.superleap.dev/api/v1/org/objects/lead/record/g1koYv_n1JaKVho' \
--data '{
"phone":"+91-887788778888"
}'
Response 400 Bad Request
{
"success": false,
"data": {
"message": "Failed to update record",
"status_code": 400,
"error_code": "VALIDATION_FAILED",
"validation_errors": [
{
"object_slug": "lead",
"field": "phone",
"message": "invalid number",
"error_code": "PARSE_INVALID_FORMAT",
"record_index": 1,
"meta_data": null
}
],
"meta_data": "validation failed"
}
}
⌘I